## org.hibernate.engine.jdbc.internal.proxy
Class AbstractProxyHandler

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler

All Implemented Interfaces:
  InvocationHandler

Direct Known Subclasses:
  AbstractResultSetProxyHandler, AbstractStatementProxyHandler, ConnectionProxyHandler, DatabaseMetaDataProxyHandler

    public abstract class AbstractProxyHandler

extends Object
implements InvocationHandler

Basic support for building proxy handlers.

Constructor Summary
`AbstractProxyHandler(int hashCode)`

Method Summary
`protected abstract Object` `continueInvocation(Object proxy, Method method, Object[] args)`
`protected void` `errorIfInvalid()`
`int` `hashCode()`
`protected void` `invalidate()`
`Object` `invoke(Object proxy, Method method, Object[] args)`
`protected boolean` `isValid()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractProxyHandler

    public AbstractProxyHandler(int hashCode)

Method Detail

### continueInvocation

    protected abstract Object continueInvocation(Object proxy,
                                                 Method method,
                                                 Object[] args)
                                          throws Throwable

  Throws:
    `Throwable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

### isValid

    protected final boolean isValid()

### invalidate

    protected final void invalidate()

### errorIfInvalid

    protected final void errorIfInvalid()

### invoke

    public final Object invoke(Object proxy,
                               Method method,
                               Object[] args)
                        throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.